      subroutine plb4hbb(imode,isel)
      implicit none

      INCLUDE 'inclk.h'
      INCLUDE 'grchad.inc'

      INTEGER MXDIM,NDMX,NDIM,NWILD,IG,NCALL,ITMX1,ITMX2
      DOUBLE PRECISION XL,XU,ACC1,ACC2
      PARAMETER (MXDIM = 50, NDMX = 50 )
      COMMON /BPARM1/ XL(MXDIM),XU(MXDIM),NDIM,NWILD,
     $     IG(MXDIM),NCALL
      COMMON /BPARM2/ ACC1,ACC2,ITMX1,ITMX2

      INTEGER JPROC
      COMMON /AMJPRC/JPROC

      CHARACTER GRCPROC*40
      COMMON/GRCCHAR/GRCPROC

      INTEGER i,imode,isel
      real*8  xsn(10),rna
      integer imrg,ijrg


C...Decide subprocess ID.
      if (imode.eq.1) then
         ijrg = 399
         imrg = 2
         xsn(2) = 0.8d0
         rna = xrun(11)
         xsn(1) = 0.0d0
         xsn(imrg+1) = 1.0d0
         do i = 1,imrg
            if (rna.gt.xsn(i).and.rna.le.xsn(i+1)) then
               gpri(10) = (rna-xsn(i))/(xsn(i+1)-xsn(i))
               yacob = yacob/(xsn(i+1)-xsn(i))
               jproc = i + ijrg
            endif
         enddo

C...Set dimension and process character.
      else if (imode.eq.2) then
         if (isel.eq.160) then
            ndim = 11
            grcproc = 'pp(bar) -> h0(bb)+bb'
         endif
         if (isel.eq.400) then
            ndim = 10
            grcproc = 'gg -> h0(bb)+bb(Higgs2,QCD2)'
         endif
         if (isel.eq.401) then
            ndim = 11
            grcproc = 'qq -> h0(bb)+bb(Higgs2,QCD2)'
         endif

C...Initialize kinematic parameter.
      else if (imode.eq.3) then
         if (jproc.eq.160) then
            mxreg = 1
            ktype = 5
            cxtype = 5
            gtau(1) = 1
            gtau(14) = 2
            gyst(1) = 1
            gyst(14) = 6
            gcos3(1) = 1
            gcos3(14) = 8
            gcon(1) = 3.0d-2
            gq12(1) = 1
            gq12(14) = 13
            gq22(1) = 1
            gq22(14) = 8
            gspr(1) = 2
            geps(1) = 9.5d-1
            gspr(2) = 2
            geps(2) = 5.0d-2
         endif

         if (jproc.eq.400) then
            mxreg = 1
            ktype = 5
            cxtype = 5
            gtau(1) = 1
            gtau(14) = 2
            gyst(1) = 1
            gyst(14) = 6
            gcos3(1) = 1
            gcos3(14) = 8
            gcon(1) = 3.0d-2
            gq12(1) = 1
            gq12(14) = 13
            gq22(1) = 1
            gq22(14) = 8
            gspr(1) = 2
            geps(1) = 9.5d-1
            gspr(2) = 2
            geps(2) = 5.0d-2
         endif

         if (jproc.eq.401) then
            mxreg = 1
            ktype = 8
            cxtype = 5
            gtau(1) = 1
            gtau(14) = 1
            gyst(1) = 1
            gyst(14) = 6
            gcos3(1) = 1
            gcos3(14) = 1
            gq12(1) = 1
            gq12(14) = 13
            gq22(1) = 1
            gq22(14) = 1
         endif

C...Set flavor and if necessary, decide weight of each phase space.
      else if (imode.eq.4) then
         call grcffil
         isel = 1
      endif

      return
      end
